Pregunta sobre Elementor Website Builder de Wordpress:

TypeError Error: la superexpresi贸n debe ser nula o una funci贸n

Un usuario pregunt贸 馃憞

Hola,

Parece que despu茅s de la actualizaci贸n a 2.7.1, el editor de Elementor dej贸 de funcionar y solo se est谩 cargando. La consola del navegador muestra los siguientes errores:

Uncaught TypeError: Super expression must either be null or a function
    at _inherits (common.min.js?ver=2.7.1:2)
    at common.min.js?ver=2.7.1:2
    at Object.<anonymous> (common.min.js?ver=2.7.1:2)
    at __webpack_require__ (common.min.js?ver=2.7.1:2)
    at Object.<anonymous> (common.min.js?ver=2.7.1:2)
    at __webpack_require__ (common.min.js?ver=2.7.1:2)
    at Object.<anonymous> (common.min.js?ver=2.7.1:2)
    at __webpack_require__ (common.min.js?ver=2.7.1:2)
    at common.min.js?ver=2.7.1:2
    at common.min.js?ver=2.7.1:2
editor.min.js?ver=2.7.1:7 Uncaught ReferenceError: elementorCommon is not defined
    at Object.<anonymous> (editor.min.js?ver=2.7.1:7)
    at n (editor.min.js?ver=2.7.1:2)
    at Object.<anonymous> (editor.min.js?ver=2.7.1:7)
    at n (editor.min.js?ver=2.7.1:2)
    at editor.min.js?ver=2.7.1:2
    at editor.min.js?ver=2.7.1:2
editor.min.js?ver=2.7.1:32 Uncaught ReferenceError: elementorCommon is not defined
    at Object.sendErrors (editor.min.js?ver=2.7.1:32)
    at i (load-scripts.php?c=1&load[]=underscore,shortcode,utils,jquery-core,jquery-migrate,backbone,wp-util,wp-backbone,media-models,moxiejs,plupload,wp-plupload,jqu&load[]=ery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable&ver=5.2.3:1)

Adem谩s, al regresar a versiones anteriores del formulario del plugin, el men煤 芦Control de versiones禄 devuelve lo siguiente a la consola:

admin.min.js?ver=2.7.1:2 Uncaught ReferenceError: elementorCommon is not defined
    at HTMLAnchorElement.<anonymous> (admin.min.js?ver=2.7.1:2)
    at HTMLAnchorElement.dispatch (load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,utils&ver=5.2.3:3)
    at HTMLAnchorElement.r.handle (load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,utils&ver=5.2.3:3)

Informaci贸n del sistema:

					
== Server Environment ==
	Operating System: Linux
	Software: LiteSpeed
	MySQL version: MySQL Community Server - GPL v8.0.17
	PHP Version: 7.2.22-1+bionic
	PHP Max Input Vars: 1000
	PHP Max Post Size: 8M
	GD Installed: Yes
	ZIP Installed: Yes
	Write Permissions: All right
	Elementor Library: Connected

== WordPress Environment ==
	Version: 5.2.3
	Site URL: https://onlineleads.ro
	Home URL: https://onlineleads.ro
	WP Multisite: No
	Max Upload Size: 2 MB
	Memory limit: 256M
	Permalink Structure: /%postname%.html
	Language: en-US
	Timezone: 2
	Debug Mode: Inactive

== Theme ==
	Name: Twenty Nineteen
	Version: 1.4
	Author: the WordPress team
	Child Theme: No

== User ==
	Role: administrator
	WP Profile lang: en_US
	User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36

== Active Plugins ==
	Elementor
		Version: 2.7.1
		Author: Elementor.com

== Log ==
	
Log: showing 9 of 92019-09-12 07:40:15 [info] elementor::elementor_updater Started 
2019-09-12 07:40:15 [info] Elementor/Upgrades - _v_2_7_0_rename_document_types_to_wp Start  
2019-09-12 07:40:16 [info] Elementor/Upgrades - _v_2_7_0_rename_document_types_to_wp Finished 
2019-09-12 07:40:16 [info] Elementor/Upgrades - _v_2_7_1_remove_old_usage_data Start  
2019-09-12 07:40:16 [info] Elementor/Upgrades - _v_2_7_1_remove_old_usage_data Finished 
2019-09-12 07:40:16 [info] Elementor/Upgrades - _v_2_7_1_recalc_usage_data Start  
2019-09-12 07:40:16 [info] Elementor/Upgrades - _v_2_7_1_recalc_usage_data Finished 
2019-09-12 07:40:16 [info] Elementor data updater process has been completed. [array (
  'plugin' => 'Elementor',
  'from' => '2.6.8',
  'to' => '2.7.1',
)]
2019-09-12 07:40:16 [info] Elementor data updater process has been queued. [array (
  'plugin' => 'Elementor',
  'from' => '2.6.8',
  'to' => '2.7.1',
)]

== Elements Usage ==
	
	Post
		Divider : 1
		Heading : 3
		Image : 2
		Text Editor : 1

				

Este tema fue modificado hace 1 a帽o, 3 meses por.

(@jasmeetsingh)

Hace 1 a帽o, 3 meses

La misma pregunta est谩 frente a m铆 .. Esperando la soluci贸n de alguien.

(@hdalive)

Hace 1 a帽o, 3 meses

La misma pregunta aqu铆.

https://i.imgur.com/rj1Lgod.png

Todos los plugins desactivados, siguen siendo los mismos. Ocurri贸 despu茅s de la nueva actualizaci贸n de Elementor.

Esta respuesta fue modificada hace 1 a帽o, 3 meses.

(@hdalive)

Hace 1 a帽o, 3 meses

驴Nada a煤n? Retrocedido a 2.7.0. La versi贸n anterior funciona a la perfecci贸n.

(@amindiario)

Hace 1 a帽o, 3 meses

La misma pregunta para m铆, 驴alguna actualizaci贸n?

(@hdalive)

Hace 1 a帽o, 3 meses

2.7.2 lo actualic茅 arreglado para m铆.

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *